// ******************************************************************************
// Gildenreaktionsmodul ( auf Gedächtniseinträge ) für Söldner
// ******************************************************************************

FUNC VOID ZS_MemoryReaction (VAR INT newsid)
// -> sofortiger Reaktion auf SC - Aktion
// self		= Zeuge ( ein Söldner )
// other	= Täter ( SC )
// victim	= Opfer 
{
	PrintDebug("ZS_MemoryReaction");

	//----------------------------------------------------------------------------------------------------------
	if (newsid == NEWS_MURDER)
	//----------------------------------------------------------------------------------------------------------
	{
		//-------- allgemein --------	
		if (victim.guild == self.guild)
		{
			if (other.guild == self.guild)
			{
				B_Say(self, "$YouKilledOurGuild");
			}
			else if (Npc_GetAttitude (self,other) == ATT_FRIENDLY)
			{
				B_Say(self, "$FriendKilledMyGuild");
			}
			else if (NPC_GetAttitude (self,other) == ATT_ANGRY)
			{
				B_Say (self ,"$FoeKilledMyGuild");
			};
		}
		//-------- Altes Lager --------	
		else if (self.guild==GIL_SLD || self.guild==GIL_VLK || self.guild==GIL_STT || self.guild==GIL_KDF || self.guild==GIL_EBR)
		{
			if (victim.guild==GIL_KDF || victim.guild==GIL_KDW)
			{
				B_Say(self, "$FriendKilledMage"); 	//eigentlich "$YouKilledMage"
			}
			else if (victim.guild==GIL_VLK || victim.guild==GIL_STT)
			{
				B_Say(self, "$FoeKilledDigger");	//eigentlich "$YouKilledDigger"
				if (self.guild == GIL_SLD)
				{
					AI_DoState(self,ZS_HelpAttack,0);
				};
			}
			else if (victim.guild==GIL_GRD || victim.guild==GIL_ORG)
			{
				//B_Say(self, "$YouKilledNewCampSucker");
			}
			else if (victim.guild==GIL_GUR || victim.guild==GIL_NOV || victim.guild==GIL_TPL)
			{
				//B_Say(self, "$YouKilledSectSucker");
			};
		}
		//-------- Neues Lager --------	
		else if (self.guild==GIL_KDW || self.guild==GIL_GRD || self.guild==GIL_ORG || self.guild==GIL_BAU)
		{
		} 
		//-------- Sekte --------	
		else if (self.guild==GIL_GUR || self.guild==GIL_NOV || self.guild==GIL_TPL)
		{
		};
	}
	//----------------------------------------------------------------------------------------------------------
	else if (newsid == NEWS_ATTACK)
	//----------------------------------------------------------------------------------------------------------
	{
		if (victim.id == self.id)
		{
			B_Say(self, "$YouAttackedMe");
		};
		
		if (victim.guild==GIL_EBR && self.guild==GIL_SLD)
		{
			//B_Say(self, "$YouAttackedEbr");
		};
		
		if (victim.guild==GIL_KDF && self.guild==GIL_SLD)
		{
			//B_Say(self, "$YouAttackedEbr");
		};
		
		if (victim.guild==GIL_KDF && self.guild!=GIL_KDF)
		{
			B_Say(self, "$FriendAttackedKdF");
		};
		
		
		
		
		
		
		
	}
	//----------------------------------------------------------------------------------------------------------
	else if (newsid == NEWS_THEFT)
	//----------------------------------------------------------------------------------------------------------
	{
		if (self.guild==victim.guild)
		{
			if (victim.id == self.id)
			{
				B_Say(self, "$YouStoleFromMe");
			}
			else
			{
				B_Say(self, "$YouStoleFromOurGuild");
			};
		}
		

		if (self.guild==GIL_SLD )
		{
			if (victim.guild == GIL_EBR)
			{
				B_Say (self,"$YouStoleFromEbr");
			};
		};
	};
};
